Game Accounts
This page documents API operations for this section in a unified operation-card format.
All game accounts
gameAccounts
Description
Returns the current user's game accounts.
Input
The operation does not accept variables.
Result
Response type - [gameAccount!]!.
Errors
UNAUTHENTICATED- the session is missing or expired.
Exchange example
Request
documentId: gameAccounts
{
"documentId": "gameAccounts",
"variables": {}
}
Response
200 OK
{
"data": {
"gameAccounts": []
}
}
Related types
Reset game account PIN
resetAccountPin
Description
Reset PIN.
Input
| Field | Type | Required | Description |
|---|---|---|---|
accountLogin | String! | ✓ | Game account login |
Result
Response type - gameAccount!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: resetAccountPin
{
"documentId": "resetAccountPin",
"variables": {
"accountLogin": "GameLogin"
}
}
Response
200 OK
{
"data": {
"resetAccountPin": {}
}
}
Related types
Refresh game account list
refreshGameAccounts
Description
Refresh account list.
Input
The operation does not accept variables.
Result
Response type - [gameAccount!]!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: refreshGameAccounts
{
"documentId": "refreshGameAccounts",
"variables": {}
}
Response
200 OK
{
"data": {
"refreshGameAccounts": {}
}
}
Related types
Check game account by login
gameAccount
Description
Account by login.
Input
| Field | Type | Required | Description |
|---|---|---|---|
login | String | ✓ | Game account login. |
Result
Response type - GameAccount.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: gameAccount
{
"documentId": "gameAccount",
"variables": {
"login": "GameLogin"
}
}
Response
200 OK
{
"data": {
"gameAccount": {}
}
}
Related types
Game account count
gameAccountCount
Description
Account count.
Input
The operation does not accept variables.
Result
Response type - Int!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: gameAccountCount
{
"documentId": "gameAccountCount",
"variables": {}
}
Response
200 OK
{
"data": {
"gameAccountCount": {}
}
}
Related types
Register account on server
registerGameAccount
Description
Register on server.
Input
| Field | Type | Required | Description |
|---|---|---|---|
login | String | ✓ | Game account login. |
password | String | ✓ | Password for registration or password update. |
Result
Response type - gameAccount!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: registerGameAccount
{
"documentId": "registerGameAccount",
"variables": {
"login": "GameLogin",
"password": "password123"
}
}
Response
200 OK
{
"data": {
"registerGameAccount": {}
}
}
Related types
Change account password on the server
changeAccountPassword
Description
Change password.
Input
| Field | Type | Required | Description |
|---|---|---|---|
login | String | ✓ | Game account login. |
newPassword | String | ✓ | New game account password. |
Result
Response type - gameAccount!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: changeAccountPassword
{
"documentId": "changeAccountPassword",
"variables": {
"login": "GameLogin",
"newPassword": "password123"
}
}
Response
200 OK
{
"data": {
"changeAccountPassword": {}
}
}
Related types
Hide or show account
hideGameAccount
Description
Hide account.
Input
| Field | Type | Required | Description |
|---|---|---|---|
accountLogin | String | ✓ | Game account login. |
Result
Response type - OperationResult!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: hideGameAccount
{
"documentId": "hideGameAccount",
"variables": {
"accountLogin": "GameLogin"
}
}
Response
200 OK
{
"data": {
"hideGameAccount": {}
}
}
Related types
Change account visibility
toggleAccountVisibility
Description
Change account visibility.
Input
| Field | Type | Required | Description |
|---|---|---|---|
login | String | ✓ | Game account login. |
visible | Boolean | ✓ | New account visibility state. |
Result
Response type - OperationResult!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: toggleAccountVisibility
{
"documentId": "toggleAccountVisibility",
"variables": {
"login": "GameLogin",
"visible": true
}
}
Response
200 OK
{
"data": {
"toggleAccountVisibility": {}
}
}
Related types
Reset account HWID / PIN
resetAccountHwid
Description
Reset HWID.
Input
| Field | Type | Required | Description |
|---|---|---|---|
accountLogin | String | ✓ | Game account login. |
Result
Response type - gameAccount!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: resetAccountHwid
{
"documentId": "resetAccountHwid",
"variables": {
"accountLogin": "GameLogin"
}
}
Response
200 OK
{
"data": {
"resetAccountHwid": {}
}
}